%br/
.container
  .row
    .col-sm-3
    .col-sm-6
      .card
        .card-header
          .font-weight-bold Edit #{resource_name.to_s.humanize}
        .card-body
          = bootstrap_form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f|
            .row
              .col-sm-3
                = profile_image_for(resource)
              .col-sm-9
                You can upload an avatar here or change it at
                = link_to "Gravatar.com", "http://gravatar.com"
                %p
                = f.file_field :avatar, class: "filestyle", :"data-placeholder" => "No file"
            %fieldset
              .form-group
                .row
                  .col-sm-12
                    = f.text_field :username, icon: "user", hide_label: true, placeholder: "User Name"
                .row
                  .col-sm-12
                    = f.email_field :email, icon: "envelope", hide_label: true, placeholder: "Email Address"
                .row
                  .col-sm-12
                    - if devise_mapping.confirmable? && resource.pending_reconfirmation?
                      %div Currently waiting confirmation for: = resource.unconfirmed_email
                .row
                  .col-sm-12
                    = f.password_field :password, icon: "asterisk", hide_label: true, placeholder: "New Password"
                .row
                  .col-sm-12
                    = f.password_field :password_confirmation, hide_label: true, icon: "asterisk", placeholder: "New Password again"
                .row
                  .col-sm-12
                    = f.password_field :current_password, hide_label: true, icon: "asterisk", placeholder: "Current Password"
                = f.submit "Update", class: "btn btn-outline-secondary"
          %p #{button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, class: "btn btn-outline-secondary", method: :delete}
          = link_to "Back", :back
